/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
visual-query-editor {
  display: block;
  position: relative;

  // smaller gutters
  .row {
    //margin-right: -10px;
    //margin-left: -10px;
    margin-right: -5px;
    margin-left: -5px;
    [class^="col-"] {
      //padding-right: 10px;
      //padding-left: 10px;
      padding-right: 5px;
      padding-left: 5px;
    }
  }

  .box-poi-type {
    .btn-group {
      width: 100%;
      .btn {
        text-align: left;
        overflow: hidden;
        text-overflow: ellipsis;
      }
    }
    .multiselect-container {
      -webkit-column-count: 2;
      -moz-column-count: 2;
      column-count: 2;
      column-gap: 10px;
      box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
      border: 1px solid #d2d6de;
      padding:5px;

      a, label {
        break-after: avoid;
        break-before: avoid;
      }

      > li {
        -webkit-column-break-inside: avoid;
        column-break-inside: avoid;
        page-break-inside: avoid;
      }
      //
      //> li.multiselect-group-2 {
      //  -webkit-column-break-before: always; /* Chrome, Safari, Opera */
      //  page-break-before: always; /* Firefox */
      //  break-before: always; /* IE 10+ */
      //}

      > li:not(.multiselect-group) > a > label {
        font-size:80%;
        input[type="checkbox"] {
          margin-top: 2px;
        }
      }

      > li.multiselect-group label {
        //padding: 3px 10px 3px 10px;
        color: $gray;
        padding: 3px 20px 3px 30px;
      }
      > li.multiselect-group.active label {
        //padding: 3px 10px 3px 10px;
        color:#fff
      }
    }
  }

  .box-filters {
    .box-body {
      padding: 0;
      .form-group {
        padding:10px 10px;
        margin:0;
        margin-top: -5px;

        label {
          display: block;
        }

        .filter-delete {
          visibility: hidden;
          position: relative;
          top: -3px;
        }
        border-bottom: 1px solid #f4f4f4;
        &:last-child {
          border-bottom: 0px;
        }
        &:hover {
          background: #f4f4f4;
          .filter-delete {
            visibility: visible;
          }
        }
        .help-block {
          font-size:11px;
          white-space: nowrap;
          width: 100%;
          overflow: hidden;
          text-overflow: ellipsis;
        }
      }
    }
  }

  .navigation-toolbar {
    margin-bottom: 10px;
    .result-total {
      font-size: 120%;
      font-weight: 300;
    }
  }

  #results-map {
    height: 500px;
  }

  .loading {
    position: relative;
    @include spinner(80px);
    &::after {
      top: 100px;
      border-color: #FFF;
      border-top-color: $brand-primary;
    }
    > * {
      @include opacity(.15);
    }
  }
}


@keyframes vqe-ngdialog-fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes vqe-ngdialog-fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes vqe-ngdialog-translatein {
  0% {
    transform: translateX(50%);
  }

  100% {
    transform: translateX(0%);
  }
}

@keyframes vqe-ngdialog-translateout {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(50%);
  }
}